<template name="layout">
  {{> root}}
  {{#if showRegionSplash}}
    {{> regionSplash}}
  {{/if}}
  {{> accountTasks}}
  <div id="wrap">
    <div id="topBar">
      {{> navbar}}
    </div>
    <div id="outer" class="{{#if PublicSettings.testWarning}}test-warning{{/if}}">
      {{> yield region='aboveContent'}}

      {{> alerts}}

      {{> introduction hasPricePolicy=hasPricePolicy}}

      {{> emailRequest}}

      {{> emailValidation}}

      <div id="maincontent">
        {{#if isAdminPage}}
          <div class="container mw-md">
            <h1>{{i18n 'adminPanel.heading' 'Admin panel'}}</h1>
            {{#if isAdmin}}
              {{#if isNotAdminPanel}}
                <a href="{{pathFor 'adminPanel'}}" class="admin-back-to-dashboard">
                  <span class="fa-solid fa-chevron-left fa-fw" aria-hidden="true"></span>
                  {{i18n 'adminPanel.backToDashboard' 'Go back to dashboard'}}
                </a>
              {{/if}}
              <div class="mt-3">
                {{> yield}}
              </div>
            {{else}}
              {{i18n 'adminPanel.pleaseLogin' 'Only for administrators'}}
            {{/if}}
          </div>
        {{else}}
          {{> yield}}
        {{/if}}
      </div>
    </div>
    <div class="push"></div>
  </div>
  {{> kioskLink}}
  {{> footer}}
</template>
